<?php

namespace Drupal\date_augmenter\Plugin;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Core\Datetime\DrupalDateTime;

/**
 * Defines an interface for Date augmenter plugins.
 */
interface DateAugmenterInterface extends PluginInspectionInterface {

  /**
   * Return the name of the plugin.
   *
   * @return string
   *   Returns the name as a string.
   */
  // public function getLabel();

  /**
   * Returns the description of the plugin.
   *
   * @return string
   *   Returns the description.
   */
  // public function getDescription();

  /**
   * Provide settings array.
   *
   * @param string|null $setting_key
   *   A specific setting key.
   *
   * @return mixed
   *   A settings field keys array
   */
  // public function settings($setting_key = NULL);

  /**
   * Builds and returns a render array for the task.
   *
   * @param array $output
   *   The existing render array, to be augmented.
   * @param Drupal\Core\Datetime\DrupalDateTime $start
   *   The object which contains the start time.
   * @param Drupal\Core\Datetime\DrupalDateTime $end
   *   The optionalobject which contains the end time.
   * @param array $options
   *   An array of options to further guide output.
   *
   * @return array
   *   Returns a render array for the output of the task;
   */
  public function augmentOutput(array &$output, DrupalDateTime $start, DrupalDateTime $end = NULL, array $options = []);

}
